package cokr.xit.ens.modules.common.ctgy.intgrnbill.support.code;

import cokr.xit.ens.core.code.CodeMapperType;


/**
 * <ul>
 * <li>업무 그룹명: 요금 납부(결제) 구분</li>
 * <li>설 명: </li>
 * <li>작성일: 2023. 2. 15. 오전 8:28:43
 * </ul>
 *
 * @author 박민규
 */
public enum PaidTypeCd implements CodeMapperType {

    kakaoPay("카카오페이"),
    naverPay("네이버페이"),
    ;

    private final String code;     
    private final String codeNm;   

    PaidTypeCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getCodeNm() {
        return this.codeNm;
    }
}
